%define rdnsname net.sourceforge.VMPK

Name:           vmpk
Version:        0.8.8
Release:        %mkrel 1
Summary:        Virtual MIDI Piano Keyboard
Group:          Sound/Midi
License:        GPLv3+
URL:            https://vmpk.sourceforge.io
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  qttools6
BuildRequires:  cmake(drumstick-rt)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  xsltproc
BuildRequires:  docbook-style-xsl
Requires:       fluid-soundfont-gm

%description
VMPK is a MIDI event generator/receiver. It doesn't produce any sound by
itself, but can be used to drive a MIDI synthesizer (either hardware or
software, internal or external). You can use the computer's keyboard to play
MIDI notes, and also the mouse. You can use the Virtual MIDI Piano Keyboard to
display the played MIDI notes from another instrument or MIDI file player.

This package is compiled with JACK driver.

%prep
%autosetup -p1

%build
%cmake_qt6 -DUSE_QT=6
%cmake_build

%install
%cmake_install

%files
%doc NEWS README.md ChangeLog AUTHORS TODO
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{rdnsname}.desktop
%{_metainfodir}/%{rdnsname}.metainfo.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Dec 22 2022 daviddavid <daviddavid> 0.8.8-1.mga9
+ Revision: 1925730
- new version: 0.8.8
- switch to Qt6

* Tue Apr 05 2022 umeabot <umeabot> 0.8.2-2.mga9
+ Revision: 1844436
- Mageia 9 Mass Rebuild

* Wed Apr 21 2021 daviddavid <daviddavid> 0.8.2-1.mga9
+ Revision: 1717749
- new version: 0.8.2

* Sun Jan 03 2021 akien <akien> 0.8.0-1.mga8
+ Revision: 1668429
- Version 0.8.0

* Thu Dec 17 2020 umeabot <umeabot> 0.7.2-3.mga8
+ Revision: 1660252
- Rebuild for new Qt5

* Tue Feb 18 2020 umeabot <umeabot> 0.7.2-2.mga8
+ Revision: 1538425
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Nov 21 2019 daviddavid <daviddavid> 0.7.2-1.mga8
+ Revision: 1461945
- new version: 0.7.2

* Tue Apr 02 2019 umeabot <umeabot> 0.7.1-2.mga7
+ Revision: 1385227
- Qt5 Rebuild

* Wed Feb 06 2019 daviddavid <daviddavid> 0.7.1-1.mga7
+ Revision: 1363703
- new version: 0.7.1

* Sun Sep 23 2018 umeabot <umeabot> 0.7.0-2.mga7
+ Revision: 1301632
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 0.7.0-1.mga7
+ Revision: 1229487
- Version 0.7.0

* Sun Sep 24 2017 daviddavid <daviddavid> 0.6.2a-2.mga7
+ Revision: 1158825
- add some missing Qt5 BRs

* Mon Jan 25 2016 akien <akien> 0.6.2a-1.mga6
+ Revision: 927560
- Version 0.6.2a

* Fri Oct 23 2015 akien <akien> 0.6.1-1.mga6
+ Revision: 894773
- Version 0.6.1

* Wed Jan 14 2015 akien <akien> 0.6.0-1.mga6
+ Revision: 810740
- imported package vmpk

